Examples

GET /katello/api/packages/980190962
200
{
  "id": 980190962,
  "pulp_id": "one-uuid",
  "name": "one",
  "version": "1.0",
  "release": "1.el7",
  "arch": "x86_64",
  "epoch": "0",
  "summary": null,
  "modular": false,
  "filename": "one-1.1.rpm",
  "sourcerpm": null,
  "checksum": null,
  "nvrea": "one-1.0-1.el7.x86_64",
  "nvra": "one-1.0-1.el7.x86_64",
  "uuid": "one-uuid",
  "hosts_available_count": 0,
  "hosts_applicable_count": 1,
  "description": null,
  "license": null,
  "buildhost": null,
  "vendor": null,
  "relativepath": null,
  "children": null,
  "checksumtype": null,
  "size": null,
  "url": null,
  "build_time": null,
  "group": null,
  "requires": [],
  "provides": [],
  "files": [],
  "human_readable_size": null,
  "build_time_utc": null
}

Params

Param name Description
repository_id
optional

repository identifier

Validations:

  • Must be a number.

organization_id
optional

organization identifier

Validations:

  • Must be a number.

id
required

a package identifier

Validations:

  • String